<ion-header [translucent]="true">
  
  <ion-toolbar mode="ios" color="light">
    <ion-buttons slot="start">
      <ion-button color="secondary">
        <ion-back-button></ion-back-button>   
      </ion-button>
    </ion-buttons>
    <ion-title color="medium">Aeon's Dessert House</ion-title>
    <ion-buttons slot="end" (click)="gotoCart()">
      <ion-button class="btn-cart" fill="clear" mode="ios" color="medium">
        <ion-icon name="cart" mode="ios"></ion-icon>        
      </ion-button>
      <ion-badge color="secondary" mode="ios" *ngIf="cartCount">{{cartCount}}</ion-badge>     
    </ion-buttons>
  </ion-toolbar>

  <div class="header" hidden>    
    <div class="title">
      <div class="t1">CLOUD</div>
      <div class="t2">MARKET</div>
      <div class="cart-counter" hidden>
        <ion-button class="btn-cart" fill="clear" mode="ios" color="medium">
          <ion-icon name="cart" mode="ios"></ion-icon>        
        </ion-button>
        <ion-badge color="secondary" mode="ios" *ngIf="cartCount">{{cartCount}}</ion-badge> 
      </div>
    </div>
    
  </div>


  
  <ion-toolbar mode="ios" color="light">
    <div>
      <ion-searchbar></ion-searchbar>
    </div>
    <div class="categories">
      <ion-button fill="clear" mode="ios" *ngFor="let category of categories" [class.selected]="selectedCategory == category" (click)="selectCategory(category)">{{category}}</ion-button>
    </div>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">

  <ion-row>
    <ion-col class="item-col" size="6" *ngFor="let item of items">
      <div class="item-container">
        <div class="price">
          <div class="value">
            {{item.price | currency:' '}}
          </div>
        </div>
        <div class="thumbnail">
          <img [src]="item.image" alt="">
        </div>      
        <div class="name">{{item.name}}</div>  
        <div class="add-to-cart">
          <ion-button mode="ios" color="secondary" shape="round" fill="outline" (click)="select(item)" *ngIf="!item.quantity">
            <ion-icon name="cart"></ion-icon>
            
          </ion-button>
          <div class="qty-buttons" *ngIf="item.quantity">
            <ion-button color="secondary" fill="clear" (click)="decrement(item)">
              <ion-icon name="remove"></ion-icon>
            </ion-button>
            <div class="quantity">                
              <div class="value">{{item.quantity}}</div>
            </div>
            <ion-button color="secondary" fill="clear" (click)="increment(item)">
              <ion-icon name="add"></ion-icon>              
            </ion-button>
          </div>
        </div>
      </div>
      
    </ion-col>
  </ion-row>


  <ion-card *ngFor="let item of items" hidden>
    <div class="item-container">
      <div class="thumbnail">
        <ion-img [src]="item.image" alt="" (ionImgDidLoad)="imageLoaded(item)"></ion-img>
      </div>
      <div class="details">
        
        <div class="item-info-container">
          <div class="item-info">
            <div class="name">{{item.name}}</div>  
            <div class="item-price">            
              <div class="lbl">php</div>
              <div class="amount">{{item.price | currency:' '}}</div>          
            </div>            
            
            <div class="qty-buttons" *ngIf="item.quantity">
              <ion-button color="secondary" fill="clear" (click)="decrement(item)">
                <ion-icon name="remove"></ion-icon>
              </ion-button>
              <div class="quantity">                
                <div class="value">{{item.quantity}}</div>
              </div>
              <ion-button color="secondary" fill="clear" (click)="increment(item)">
                <ion-icon name="add"></ion-icon>
              </ion-button>
            </div>            
          </div>       

          <div class="add-cart">
            <ion-button mode="ios" color="secondary" shape="round" (click)="select(item)" *ngIf="!item.quantity">
              <ion-icon name="cart"></ion-icon>
             </ion-button>
          </div>
        </div>        
          
        <div class="add-cart" hidden>
          <ion-button mode="ios" color="secondary" shape="round" (click)="select(item)" *ngIf="!item.quantity">
            <ion-icon name="cart"></ion-icon>
           </ion-button>
          
          
          <div class="qty-buttons" *ngIf="item.quantity">
            <ion-button fill="clear" (click)="decrement(item)">
              <ion-icon name="remove"></ion-icon>
            </ion-button>
            <div class="quantity">                
              <div class="value">{{item.quantity}}</div>
            </div>
            <ion-button fill="clear" (click)="increment(item)">
              <ion-icon name="add"></ion-icon>
            </ion-button>
          </div>
        </div>

        
      </div>
    </div>
  </ion-card>
</ion-content>
